summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072021-01-13 17:59:53 +0100
committersL1pKn072021-01-13 17:59:53 +0100
commit5de962ed9e821b4f3f8d79d690199200d4d258aa (patch)
treedb5c1283c9432d6e282bf881179998bd44a87e7f
parent2d249e137dc3a8bc0a6d0bc037e178fa07c7b4c7 (diff)
downloadaur-5de962ed9e821b4f3f8d79d690199200d4d258aa.tar.gz
bump
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD50
2 files changed, 32 insertions, 31 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 9ce249e35d3..25a20065984 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.18.104.gd99ac615
+ pkgver = 0.3.19.61.gfee0c267
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -34,19 +34,18 @@ pkgname = pipewire-git
install = pipewire-git.install
depends = alsa-card-profiles
depends = bluez-libs
- depends = libsndfile.so
+ depends = rtkit
+ depends = sbc
+ depends = vulkan-icd-loader
depends = libasound.so
depends = libdbus-1.so
depends = libfdk-aac.so
depends = libldacBT_enc.so
depends = libncursesw.so
depends = libopenaptx.so
+ depends = libsndfile.so
depends = libsystemd.so
depends = libudev.so
- depends = rtkit
- depends = sbc
- depends = sdl2
- depends = vulkan-icd-loader
optdepends = pipewire-docs-git: Documentation
optdepends = pipewire-jack-git: JACK support
optdepends = pipewire-alsa-git: ALSA support
@@ -58,7 +57,9 @@ pkgname = pipewire-git
conflicts = pipewire
backup = etc/pipewire/pipewire.conf
backup = etc/pipewire/media-session.d/alsa-monitor.conf
+ backup = etc/pipewire/media-session.d/bluez-monitor.conf
backup = etc/pipewire/media-session.d/media-session.conf
+ backup = etc/pipewire/media-session.d/v4l2-monitor.conf
pkgname = pipewire-docs-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (documentation)(GIT Version)
diff --git a/PKGBUILD b/PKGBUILD
index c4fcb1d6c7d..e0831d807f7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@ pkgname=('pipewire-git'
'pipewire-pulse-git'
'pipewire-ffmpeg-git'
)
-pkgver=0.3.18.104.gd99ac615
+pkgver=0.3.19.61.gfee0c267
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -82,22 +82,20 @@ _pick() {
}
package_pipewire-git() {
- depends=(
- 'alsa-card-profiles'
+ depends=('alsa-card-profiles'
'bluez-libs'
- 'libsndfile.so'
+ 'rtkit'
+ 'sbc'
+ 'vulkan-icd-loader'
'libasound.so'
'libdbus-1.so'
'libfdk-aac.so'
'libldacBT_enc.so'
'libncursesw.so'
'libopenaptx.so'
+ 'libsndfile.so'
'libsystemd.so'
'libudev.so'
- 'rtkit'
- 'sbc'
- 'sdl2'
- 'vulkan-icd-loader'
)
optdepends=('pipewire-docs-git: Documentation'
'pipewire-jack-git: JACK support'
@@ -112,7 +110,9 @@ package_pipewire-git() {
conflicts=('pipewire')
backup=('etc/pipewire/pipewire.conf'
'etc/pipewire/media-session.d/alsa-monitor.conf'
+ 'etc/pipewire/media-session.d/bluez-monitor.conf'
'etc/pipewire/media-session.d/media-session.conf'
+ 'etc/pipewire/media-session.d/v4l2-monitor.conf'
)
install=pipewire-git.install
@@ -130,13 +130,13 @@ package_pipewire-git() {
_pick jack usr/lib/spa-0.2/jack
_pick jack usr/share/man/man1/pw-jack.1
- # Use alsa-card-profiles built with Pulseaudio
- rm -rv "$pkgdir"/usr/share/alsa-card-profile
-
_pick pulse etc/pipewire/media-session.d/with-pulseaudio
_pick ffmpeg usr/lib/spa-0.2/ffmpeg/libspa-ffmpeg.so
+ # Use alsa-card-profiles built with Pulseaudio
+ rm -rv "$pkgdir"/usr/share/alsa-card-profile
+
}
package_pipewire-docs-git() {
@@ -160,20 +160,6 @@ package_pipewire-jack-git() {
mv jack/* "${pkgdir}"
}
-package_pipewire-alsa-git() {
- pkgdesc="ALSA Configuration for PipeWire (ALSA support)(GIT version)"
- depends=('pipewire'
- "libpipewire-${pkgver:0:3}.so"
- )
- provides=('pipewire-alsa')
- conflicts=('pipewire-alsa')
- arch=('any')
-
- mkdir -p "$pkgdir"/etc/{alsa/conf.d,pipewire/media-session.d}
- ln -st "${pkgdir}/etc/alsa/conf.d" /usr/share/alsa/alsa.conf.d/99-pipewire-default.conf
- touch "$pkgdir/etc/pipewire/media-session.d/with-alsa"
-}
-
package_pipewire-pulse-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)'
depends=('pipewire'
@@ -193,6 +179,20 @@ package_pipewire-pulse-git() {
mv pulse/* "${pkgdir}"
}
+package_pipewire-alsa-git() {
+ pkgdesc="ALSA Configuration for PipeWire (ALSA support)(GIT version)"
+ depends=('pipewire'
+ "libpipewire-${pkgver:0:3}.so"
+ )
+ provides=('pipewire-alsa')
+ conflicts=('pipewire-alsa')
+ arch=('any')
+
+ mkdir -p "$pkgdir"/etc/{alsa/conf.d,pipewire/media-session.d}
+ ln -st "${pkgdir}/etc/alsa/conf.d" /usr/share/alsa/alsa.conf.d/99-pipewire-default.conf
+ touch "$pkgdir/etc/pipewire/media-session.d/with-alsa"
+}
+
package_pipewire-ffmpeg-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (FFmpeg SPA plugin)(GIT version)'
depends=('pipewire'